package Ensembl.artemis;

public class FeatureHolder	implements org.omg.CORBA.portable.Streamable{
	 public Feature value;
	public FeatureHolder()
	{
	}
	public FeatureHolder(Feature initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return FeatureHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = FeatureHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		FeatureHelper.write(_out,value);
	}
}
